Support pnpm in .tool-versions

I have a .tool-versions for local development, but Cloudflare seems to use it but then fails due to pnpm not being recognized. It would be great to somehow ignore this or of course ideally install that exact pnpm version.

21:57:01.143	Found a .tool-versions file in user-specified root directory. Installing dependencies.
21:57:01.560	pnpm plugin is not installed
21:57:01.563	Error: Exit with error code: 1
21:57:01.563	    at ChildProcess.<anonymous> (/snapshot/dist/run-build.js)
21:57:01.563	    at Object.onceWrapper (node:events:652:26)
21:57:01.563	    at ChildProcess.emit (node:events:537:28)
21:57:01.563	    at ChildProcess._handle.onexit (node:internal/child_process:291:12)
21:57:01.571	Failed: build command exited with code: 1
21:57:02.591	Failed: error occurred while running build command

related: How to disable automatic installs of .tool-versions and package.json